{% extends 'public_access/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('public_access/authentification_token_generation') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('public_access/authentification_token_generation') }}
{% endblock %}

{% block main %}
    <div class="container-md mt-5">
        <div class="mdc-card p-3">
            <p>Hallo {{ settlementConceptAccountUser.getFullName() }},</p>
            <p>
                Sie wurden eingeladen, die Leerstands- und Ansiedlungsmanagementplattform der {{ settlementConceptAccountUser.getAccount().getName() }}
                mit Ansiedlungskonzepten zu bespielen. Hierzu steht Ihnen eine REST-API zur Verfügung. Zur Nutzung benötigen Sie den nachfolgenden
                JsonWebToken:
            </p>
            <div class="row">
                <div class="col-12 mb-3">
                    <textarea class="col-12 p-3" name="tokenTextarea" rows="3">{{ token }}</textarea>
                </div>
                <div class="col-12 mb-5 p-0">
                    <button type="button" name="tokenCopyButton" class="mdc-button mdc-button--raised mdc-ripple-surface--accent copy p-4 p-sm-3 col-12 col-sm-6 offset-sm-3">
                        <span class="text">Token kopieren</span>
                    </button>
                </div>
            </div>
            <p>Bitte beachten Sie, dass Sie den Token nur einmalig sehen. Bitte kopieren Sie den Token und bewahren Sie ihn entsprechend auf.</p>
            <p>Eine Dokumentation der API finden Sie unter <a href="{{ path('documentation_api_settlement_concept') }}">{{ url('documentation_api_settlement_concept') }}</a></p>
            <p>Ihr LeAn-Team</p>
        </div>
    </div>
{% endblock %}
